//
// C++ Implementation: cinsertcolumn
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "cinsertcolumn.h"
#include <QAbstractItemModel>

cInsertColumn::cInsertColumn(QAbstractItemModel *m,const int c,const QString& t, QUndoCommand* parent)
	: QUndoCommand(parent),title(t),col(c),model(m)
{
	setText("Spalte einfgen");
}

cInsertColumn::~cInsertColumn()
{
}


void cInsertColumn::redo()
{
	model->insertColumn(col);
	model->setHeaderData(col,Qt::Horizontal,title);
}

void cInsertColumn::undo()
{
	model->removeColumn(col);
}

