//
// C++ Interface: viewdiagramview
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef VIERDIAGRAMVIEW_H
#define VIERDIAGRAMVIEW_H

#include "modelclient.h"

class ModelDiagramAdapter;
class QGridLayout;

/**
	@author Arne Schmitt <arne@as4m.de>
*/
class VierDiagramView : public ModelClient
{
	Q_OBJECT
public:
    VierDiagramView(QWidget* parent=0);

    ~VierDiagramView();

    void setModel(QStandardItemModel* m);
    void setClient(ModelClient *c,int pos);
    
protected:
	ModelClient *t1,*t2,*t3,*t4;
	QGridLayout *layout;
};

#endif
