//
// C++ Implementation: cinsertdata
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "cinsertdata.h"
#include <QAbstractItemModel>

cInsertData::cInsertData(const QModelIndex &idx,const QVariant &od,const QVariant &nd,QUndoCommand* parent)
	: QUndoCommand(parent),index(idx),oldData(od),newData(nd)
{
	setText("Daten eingetragen");
}


cInsertData::~cInsertData()
{
}


void cInsertData::redo()
{
	QAbstractItemModel *model = const_cast<QAbstractItemModel *>(index.model());
	model->setData(index,newData);
}

void cInsertData::undo()
{
	QAbstractItemModel *model = const_cast<QAbstractItemModel *>(index.model());
	model->setData(index,oldData);
}
