//
// C++ Implementation: direktdiagramadapter
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "direktdiagramadapter.h"
#include "diagram.h"
#include <QStandardItemModel>
#include <QtDebug>

DirektDiagramAdapter::DirektDiagramAdapter(QWidget *parent)
 : ModelDiagramAdapter(parent)
{
}


DirektDiagramAdapter::~DirektDiagramAdapter()
{
}


void DirektDiagramAdapter::updateDiagram()
{
	if(!td || !_model) return;
	using namespace std;

	QVector<double> sdata(_model->rowCount());

	for(int i=0;i<_model->rowCount();++i)
	{
		sdata[i] = _model->data(_model->index(i,model_column)).toDouble();
	}

	QVector<double>::iterator i0 = remove(sdata.begin(),sdata.end(),0);
	sdata.erase(i0,sdata.end());
	td->setData(sdata);
}
