//
// C++ Interface: haeufigkeitsverteilungsadapter
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef HAEUFIGKEITSVERTEILUNGSADAPTER_H
#define HAEUFIGKEITSVERTEILUNGSADAPTER_H

#include <modeldiagramadapter.h>
#include <QString>
#include <QVariant>

/**
	@author Arne Schmitt <arne@as4m.de>
*/
class HaeufigkeitsVerteilungsAdapter : public ModelDiagramAdapter
{
Q_OBJECT
public:
    HaeufigkeitsVerteilungsAdapter(QWidget* parent=0);

    ~HaeufigkeitsVerteilungsAdapter();

    virtual void loadData(QDataStream& s, int ver);
    virtual void saveData(QDataStream& s, int ver);

    virtual void updateDiagram();
    
    void setDepFilter(QString FilterWert,int Filter_Spalte);
    void setOutputFilter(const QVariant& fv);
    void setInputFilter(const QVariant& fv);
    
protected:
	int N; // Zahl der Intervalle;
	QString filter_wert;
	QVariant input_filter,output_filter;
	int filter_spalte;
	
protected slots:
    void intervalAction();
    void depAction();
    void undepAction();

};

#endif
